﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ColumnTypes2.aspx.cs" Inherits="ColumnTypes2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="sds" Namespace="Telerik.Web.SessionDS" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function Enable(picker) {
            var dtp = $find(picker);
            dtp.set_enabled(true);
            dtp.get_popupButton().className = "rcCalPopup";
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" EnableAJAX="true">
    <asp:Button runat="server" ID="Button2" Text="Enable"/>
    <telerik:RadGrid ID="RadGrid2" DataSourceID="SessionDataSource1" AllowPaging="True"
            ShowFooter="true" runat="server" AutoGenerateColumns="False" AllowSorting="True"
            PageSize="3" Width="925px" GridLines="None" CellPadding="0" AllowAutomaticInserts="true"
            AllowAutomaticUpdates="true" onitemdatabound="RadGrid2_ItemDataBound">
            <MasterTableView DataKeyNames="EmployeeID" AutoGenerateColumns="false" CommandItemDisplay="Top">
                <Columns>
                    <telerik:GridEditCommandColumn UniqueName="EditCommandColumn">
                        <ItemStyle Width="50px" />
                    </telerik:GridEditCommandColumn>
                    <telerik:GridHTMLEditorColumn UniqueName="Notes" SortExpression="Notes" HeaderText="HTMLEditorColumn"
                        DataField="Notes" FooterText="HTMLEditorColumn footer">
                    </telerik:GridHTMLEditorColumn>
                    <telerik:GridDropDownColumn DataSourceID="SqlDataSource2" ListTextField="TitleOfCourtesy"
                        ListValueField="TitleOfCourtesy" UniqueName="GridDropDownColumn" SortExpression="TitleOfCourtesy"
                        HeaderText="DropDown Column" DropDownControlType="RadComboBox" DataField="TitleOfCourtesy"
                        FooterText="DropDown footer">
                    </telerik:GridDropDownColumn>
                    <telerik:GridDropDownColumn DataSourceID="SqlDataSource3" ListTextField="City" ListValueField="City"
                        UniqueName="City" SortExpression="City" HeaderText="DropDown Column" DataField="City"
                        DropDownControlType="RadComboBox" FooterText="DropDown footer">
                    </telerik:GridDropDownColumn>
                    <telerik:GridMaskedColumn Mask="(###) ###-####" UniqueName="HomePhone" SortExpression="HomePhone"
                        HeaderText="Masked Column" DataField="HomePhone" FooterText="MaskedColumn footer">
                        <ItemStyle Width="100px" />
                    </telerik:GridMaskedColumn>
                    <telerik:GridNumericColumn UniqueName="Extension" SortExpression="Extension" HeaderText="Numeric Column"
                        DataField="Extension" ColumnEditorID="GridNumericColumnEditor1" FooterText="NumericColumn footer">
                    </telerik:GridNumericColumn>
                    <telerik:GridDateTimeColumn UniqueName="HireDate" PickerType="DatePicker" HeaderText="DateTime Column"
                        DataField="HireDate" FooterText="DateTimeColumn footer" DataFormatString="{0:MM/dd/yyyy}">
                        <ItemStyle Width="120px" />
                    </telerik:GridDateTimeColumn>
                    <telerik:GridCalculatedColumn UniqueName="Name" SortExpression="LastName" HeaderText="Calculated Column"
                        DataFields="FirstName, LastName" Expression='{0} + "&nbsp;" + {1}' FooterText="CalculatedColumn footer">
                    </telerik:GridCalculatedColumn>
                </Columns>
            </MasterTableView>
            <ClientSettings >
            </ClientSettings>
        </telerik:RadGrid>
        </telerik:RadAjaxPanel>
        
        <sds:SessionDataSource ID="SessionDataSource1" UpdateCommand="update Employees set Notes=@Notes, TitleOfCourtesy=@TitleOfCourtesy, City=@City, HomePhone=@HomePhone, Extension=@Extension, HireDate=@HireDate where EmployeeID=@EmployeeID"
            SelectCommand="SELECT * FROM Employees"
            InsertCommand="insert into Employees (Notes, TitleOfCourtesy, City, HomePhone, Extension, HireDate) values(@Notes, @TitleOfCourtesy, @City, @HomePhone, @Extension, @HireDate)"
            runat="server" PrimaryKeyFields="EmployeeID" DisplayWarning="False" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            ClearSessionOnInitialLoad="True" SessionKey="System.Web.UI.Page_DataSource3">
        </sds:SessionDataSource>
        <asp:SqlDataSource runat="server" ID="SqlDataSource2" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT DISTINCT [TitleOfCourtesy] FROM [Employees]"></asp:SqlDataSource>
        <asp:SqlDataSource runat="server" ID="SqlDataSource3" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT DISTINCT [City] FROM [Employees]"></asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
